{
    template:'${tmpl}',
    data(){
        return {
          orderNum:"",
          name:"",
          data:[],
        }
    },

    mounted:function(){
      var that=this;
      var orderNum=this.$router.history.current.query.code;
      console.log(orderNum);
      this.orderNum=orderNum;
      this.$root.getReq("/web/calculatepriceCtl/findByOrderNum",{"orderNum":orderNum}).then(function(d){
        console.log(d);
        that.name=d.data.rows[0].customerContact;
        for(var i=0;i<d.data.count;i++){
          d.data.rows[i].nclSmallCodes2=JSON.parse(d.data.rows[i].nclSmallCodes);
        }
        that.data=d.data.rows;
      });
    },
    methods:{
      confirm(){
        this.$router.push({path:"/products/orderpay",query:{from:"order",code:this.orderNum}});
      }
    },

    vname:"gsb-orderconfirm"
}
